服务热线
189-2347-0832

中兴S385 您当前所处位置: 首页 > 新闻资讯 > 行业技术

低版本升级到V1R4C04版本以上需加载两次

发布时间:2018-03-27

问题描述

现网主控是 5.51.4.43(V1R4C03),需要升级到5.51.5.25(V1R4C04)

按照网上指导书“OptiX OSN 8800 V100R002C02&8800V001R002C00&6800_3800 V100R004C04 升级指导书_05-20091215-A.doc”,进行升级。

为了节省升级时间,我们拔出了很多单板,如NS3,XCS等。准备等主控升级完成后,再插回单板,使其自动同步匹配。

但是在主控升级完成后,插回单板时,所有新插的单板都上报 SWDL_PKG_NOBDSOFT,检查这些单板的软件版本,仍然为升级前的老版本。

 

 告警信息

SWDL_PKG_NOBDSOFT ,文件被定制去掉告警。

此告警含义为网元在使用定制软件包进行加载后,当插入某些单板时,如果定制软件包里没有这些单板的软件,将导致这些单板不能自动匹配,并出现此告警。


 处理过程

再次加载一次软件包,选择执行从V1R4C04----〉V1R4C04spc500的 PKG文件。

加载完成后,单板能正常匹配自动升级。


 根因

在升级过程中,按指导书描述只需要运行 从V1R4C03---V1R4C04SPC500的 PKG引导文件

而并没有需要单独定制单板软件的选项出现。而回想起此次升级时拷贝软件只用了10分钟左右,而不是像其他站点从 5.51.5.21升级到5.51.5.25时那样,拷贝文件需要近1个小时。因此怀疑在包加载过程中,只是拷贝了主控软件,而所有的单板软件均未拷贝。

经确认:

从V1R4C03版本或之前更低版本升级到V1R4C04SPC500时,

第一次运行PKG文件包加载时,只能加载部分的软件(即只拷贝当前子架内已安装单板的软件到主控上面,而其他未安装的单板软件则不拷贝) 这导致升级后,安装其他单板到此子架时,将上报 SWDL_PKG_NOBDSOFT, 单板软件不能自动匹配。

因此,针对 V1R4C03及之前的版本升级的话,必须执行两次包加载的操作,第一次包加载完成主机的升级;第二次包加载则完成所有单板软件包的拷贝加载。